﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace WG_SummaryFromHiddenColumn
{
    class HiddenFieldSummaryCalculator : ICustomSummaryCalculator
    {
        int secondsCount = 0;

        public void AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
        {
            secondsCount += (int)row.Cells["IntSeconds"].Value;
        }

        public void BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            secondsCount = 0;
        }

        public object EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            return this.TimeStringFromSeconds(secondsCount);
        }

        private string TimeStringFromSeconds(int secondsCount)
        {
            var hours = secondsCount / 3600;

            var secondsForMinutes = secondsCount % 3600;
            var minutes = secondsForMinutes / 60;

            return String.Format("{0}:{1}", hours, minutes);
           
        }
    }
}
